Описания способов по определению версии WordPress

E-Planet

Работая с сайтом на WordPress, очень важно знать актуальность установленного движка, поскольку от этого зависит не только безопасность сайта, но и совместимость с ним тех плагинов, которые вы захотите использовать. К счастью, существует несколько простых способов, с помощью которых можно проверить, с какой версией WordPress вы имеете дело.

Обратите внимание, если у вас установлен старый движок, то необходимо обновить его как можно скорее, потому что каждое обновление поставляется с исправлениями безопасности, без которых сайт может стать легкой мишенью для хакеров.

И так, вот пять способов, как узнать версию wordpress, чтобы гарантировать актуальность системы безопасности и совместимость всех подключаемых модулей. Это займет всего несколько секунд.
wordpress-36-main

Страница обновления в административной панели

В панели администратора ВордПресс, в разделе «Консоль», присутствует пункт меню «Обновления». Если перейти по нему, то откроется страница «Обновления WordPress», где можно посмотреть версию установленного движка, а также обновить его в автоматическом режиме, либо загрузить архив на компьютер и сделать это вручную.

Если будет обнаружено, что у вас установлена не последняя версия, то не забудьте сделать полную резервную копию сайта, прежде чем приступить к обновлению. Таким образом, если что-то пойдет не так, вы сможете легко восстановить свой сайт.
nalichie-obnovleniy-na-Wordpress

Нижняя часть административной панели

В WordPress 4.1.5 и выше, если спуститься на самый низ панели администратора, то справа можно обнаружить небольшую надпись, указывающую текущую версию движка. Если она не является последней, то вместо нее там будет предложение скачать новую.

Имейте ввиду, что этой надписи не будет, если движок работает в режиме Multisite, а также на мобильных устройствах или при маленьком размере окна браузера.
ap

Специальный файл

Для этого способа понадобиться вникать в файлы вашего сайта. В папке «wp-includes» нужно найти файл «version.php» и открыть его прямо на панели вашего хостинга. Либо можно загрузить его копию на компьютер и открыть любым текстовым редактором. На самом верху этого файла, на строке номер 7, вы и увидите версию используемого движка.

Обратите внимание, если вы откроете этот файл как страницу в браузере, то на ней не будет отображено никакой информации, даже если посмотреть ее код. В обоих случаях отобразиться лишь пустой экран.
wp version

Генератор мета-тегов

Иногда, старые темы могут генерировать специальный мета-тег, находящийся в блоке «Header». Можно проверить его наличие путем активации темы и просмотра ее кода. Если вы пользуетесь браузером Chrome, то просто щелкните правой кнопкой мыши на главной странице сайта и нажмите «Просмотр кода страницы». После чего, на новой открывшейся вкладке найдите следующий мета-тег, но с вашей версией WordPress:

<meta name="generator" content="WordPress 4.5.1" />

Как правило, генерация этой строки запрещена разработчиками большинства последних тем, поскольку она несет потенциальную угрозу для безопасности сайта. В таком случае, вы не сможете увидеть ее при просмотре исходного кода любой страницы, и это, на самом деле, очень хорошо.
kak-uznat-versiyu-wordpress-chughova-sajta

Файл Readme

В старых выпусках WordPress, может присутствовать файл readme.html, содержащий информацию о текущей версии движка. Если вы можете получить доступ к странице www.you-site.ru/readme.html, то вам необходимо срочно сделать обновление.

Это важно потому, что публичный показ этой информации представляет серьезную угрозу для безопасности. По крайней мере, следует немедленно удалить этот файл. Если хакеры получат доступ к нему, то они непременно воспользуются присутствующей информацией, чтобы найти существующие дыры, касающиеся безопасности сайта, и получить к нему доступ.

Заключение

Теперь, у вас есть как минимум 3 способа проверить актуальность установленного движка WordPress, и еще 2 способа, работоспособность которых сразу скажет о том, что вам нужно сделать обновление, так как они доступны только тогда, когда версия ВордПресс является устаревшей.

Кроме того, вы получили информацию о том, что публично показывать информацию о движке не лучшее решение, а значит нужно ее скрыть. Есть множество плагинов безопасности, которые могут помочь вам с этим делом.

comments powered by HyperComments